# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "flexfloat"
version = "1.1.0"
authors = ["Ferran Sanchez Llado"]
build = false
exclude = [".github/*"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust library for arbitrary-precision floating-point arithmetic with growable exponents and fixed-size fractions, extending IEEE 754 double-precision range."
homepage = "https://github.com/ferranSanchezLlado/flexfloat-rs"
readme = "README.md"
keywords = [
    "float",
    "bigfloat",
    "arbitrary-precision",
    "flexible",
    "custom",
]
categories = [
    "data-structures",
    "mathematics",
    "science",
    "finance",
    "rust-patterns",
]
license = "MIT"
repository = "https://github.com/ferranSanchezLlado/flexfloat-rs"

[features]
default = []

[lib]
name = "flexfloat"
path = "src/lib.rs"

[[example]]
name = "agm_pi"
path = "examples/agm_pi.rs"

[[example]]
name = "basics"
path = "examples/basics.rs"

[[example]]
name = "conversions"
path = "examples/conversions.rs"

[[example]]
name = "growable_exponent"
path = "examples/growable_exponent.rs"

[[example]]
name = "math_functions"
path = "examples/math_functions.rs"

[[test]]
name = "backend_consistency"
path = "tests/backend_consistency.rs"

[[test]]
name = "extreme_values"
path = "tests/extreme_values.rs"

[[bench]]
name = "agm_pi"
path = "benches/agm_pi.rs"
harness = false

[[bench]]
name = "bitarray_backends"
path = "benches/bitarray_backends.rs"
harness = false

[dependencies.num-bigint]
version = "0.4.3"

[dependencies.num-traits]
version = "0.2.19"

[dev-dependencies.criterion]
version = "0.5"
features = ["html_reports"]

[dev-dependencies.num-bigint]
version = "0.4.3"
features = ["rand"]

[dev-dependencies.proptest]
version = "1.5"

[dev-dependencies.rand]
version = "0.9.2"

[dev-dependencies.rstest]
version = "0.26.1"
